Index: trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4DiffractiveSplitableHadron.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4DiffractiveSplitableHadron.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4DiffractiveSplitableHadron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DiffractiveSplitableHadron.cc,v 1.8 2009/07/31 11:03:00 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4ElasticHNScattering.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4ElasticHNScattering.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4ElasticHNScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4ElasticHNScattering.cc,v 1.11 2009/10/06 10:10:36 vuzhinsk Exp $
+// $Id: G4ElasticHNScattering.cc,v 1.14 2009/12/16 17:51:13 gunter Exp $
 // ------------------------------------------------------------
 //      GEANT 4 class implemetation file
@@ -58,8 +58,7 @@
                               G4FTFParameters    *theParameters) const
 {
-//G4cout<<"G4ElasticHNScattering::ElasticScattering"<<G4endl;
 // -------------------- Projectile parameters -----------------------------------
 	   G4LorentzVector Pprojectile=projectile->Get4Momentum();
-//G4cout<<"Elastic P "<<Pprojectile<<G4endl;
+
            if(Pprojectile.z() < 0.)
            {
@@ -68,8 +67,4 @@
            } 
 
-//           G4double ProjectileRapidity = Pprojectile.rapidity();
-//           G4int    ProjectilePDGcode=projectile->GetDefinition()->GetPDGEncoding();
-//           G4ParticleDefinition * ProjectileDefinition = projectile->GetDefinition();
-
            G4bool PutOnMassShell(false);
 
@@ -86,9 +81,7 @@
 
 // -------------------- Target parameters ----------------------------------------------
-//           G4int    TargetPDGcode=target->GetDefinition()->GetPDGEncoding();
 
   	   G4LorentzVector Ptarget=target->Get4Momentum();
-//G4cout<<"Elastic T "<<Ptarget<<G4endl;
-//           G4double TargetRapidity = Ptarget.rapidity();
+
 	   G4double M0target = Ptarget.mag();
 
@@ -149,5 +142,5 @@
             else // if(M0projectile > projectile->GetDefinition()->GetPDGMass())
             {
-             target->SetStatus(2);                                   // Uzhi 17.07.09
+             target->SetStatus(2);                                   
              return false;                   // The projectile was not excited,
                                              // but the energy was too low to put
@@ -183,15 +176,4 @@
            G4double maxPtSquare = PZcms2;
 
-//----- Charge exchange between the projectile and the target, if possible 
-//        (G4UniformRand() < 0.5*std::exp(-0.5*(ProjectileRapidity - TargetRapidity))))
-/*
-           if((ProjectilePDGcode != TargetPDGcode) && 
-             ((ProjectilePDGcode > 1000) && (TargetPDGcode > 1000)) &&
-             (G4UniformRand() < 1.0*std::exp(-0.5*(ProjectileRapidity - TargetRapidity)))) 
-           {
-              projectile->SetDefinition(target->GetDefinition());
-              target->SetDefinition(ProjectileDefinition); 
-           }
-*/
 // ------ Now we can calculate the transfered Pt --------------------------
 	   G4double Pt2;                                                    
@@ -255,8 +237,11 @@
 {            //  @@ this method is used in FTFModel as well. Should go somewhere common!
 	
-	G4double Pt2;
-        Pt2 = -AveragePt2 * std::log(1. + G4UniformRand() * 
+	G4double Pt2(0.);
+        if(AveragePt2 <= 0.) {Pt2=0.;}
+        else
+        {
+         Pt2 = -AveragePt2 * std::log(1. + G4UniformRand() * 
                 (std::exp(-maxPtSquare/AveragePt2)-1.)); 
-	
+	}
 	G4double Pt=std::sqrt(Pt2);
 	G4double phi=G4UniformRand() * twopi;
